Subject: Re: zlib package

From: Guy Maor <[email-masked]>
Date: Fri, 14 Jun 1996 11:47:38 -0500 (CDT)

On Fri, 14 Jun 1996, Michael Alan Dorman wrote:
> Is it appropriate for _any_ package to specify section and priority,
> or should all of that information should be specified in the possibly
> mis-named overrides file?  And, if so, shouldn't the fields be removed
> from the guidelines and all packages?

Ian and I already agreed on a policy, but I neglected to announce it.

We recommend that you NOT put a section and priority in the control
file.

You're correct that is nice for some things if the section and priority
are in the control file, but it's better for nothing to be there than
for incorrect things to be there.  If you want to put the two fields in
your control file, you may be required to upload new versions at the
whim of the distribution manager.

Most people don't want to be bothered with repackaging, hence our
recommendation.

I know that I really really really need to finish writing the "How to
upload" document.  The above recommendation will be there.

Guy